# Generated by Django 5.0.7 on 2024-10-04 07:52

from django.db import migrations


def fix_opava_people_page(apps, schema_editor):
    # DistrictPeoplePage = apps.get_model("district", "DistrictPeoplePage")
    # NOTE: Can't have this for the save_revision() method

    from district.models import DistrictPeoplePage

    page = DistrictPeoplePage.objects.filter(id=2015).first()

    if page is None:
        return

    page.content = page.content.get_prep_value()

    page.save()
    page.save_revision().publish()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0292_districtoctopuspersonpage_originating_display"),
    ]

    operations = [migrations.RunPython(fix_opava_people_page)]
